// 
// Copyright 2016 Agencia Estatal de Administración Tibutaria
//
// Licencia con arreglo a la EUPL, Versión 1.1 o -en cuanto
// sean aprobadas por la Comisión Europea- versiones
// posteriores de la EUPL (la «Licencia»);
// Solo podrá usarse esta obra si se respeta la Licencia.
// Puede obtenerse una copia de la Licencia en:
//  
// https://joinup.ec.europa.eu/software/page/eupl
//  
// Salvo cuando lo exija la legislación aplicable o se acuerde
// por escrito, el programa distribuido con arreglo a la
// Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
// DE NINGÚN TIPO, ni expresasni implícitas.
//
// Véase la Licencia en el idioma concreto que rige los permisos y 
// limitaciones que establece la Licencia.
// 

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ateneo.utiles;

namespace operador
{
     
    public partial class DlgIdentificacion : Form
    {
        public string nif = "";
        public string nombre = "";
        ToolTip tooltip = new ToolTip();
        public DlgIdentificacion() {
            InitializeComponent();
            tooltip.BackColor = Color.Yellow;
            tooltip.SetToolTip(edNif, "Si es un documento distinto de Identificaión fiscal.\nPrimer  dígito  '#' \nObligatorio 9 caracteres</b>");
            
        }

        private void DlgIdentificacion_FormClosing(object sender, FormClosingEventArgs e) {
        }

        private void button1_Click(object sender, EventArgs e) {
            if (edNif.Text.Trim().Length > 16)
            {
                MessageBox.Show("Error en Identificaión fiscal");
                edNif.Focus();

                return;
            }

            if (Configuracion.instanciaUnica().permitirNoiden == false)
            {
                if (edNif.Text.Trim()[0] == '#')
                {
                    MessageBox.Show("Error en Identificaión fiscal");
                    edNif.Focus();

                    return;
                }
            }
            this.Cursor = Cursors.WaitCursor;

            if(!ValidaNif.checkNif(edNif.Text.Trim())) {
                MessageBox.Show("Error en Identificaión fiscal");
                edNif.Focus();
                this.Cursor = Cursors.Default;

                return;
            }
            this.Cursor = Cursors.Default;
            nombre = edNombre.Text.Trim();
            if (nombre.Length == 0)
            {
                nombre = " ";
            }
            if (nombre.Length > 39)
            {
                nombre = nombre.Substring(0, 38);
            }
            nif = edNif.Text.Trim();
         //   nombre = edNombre.Text.Trim();
            DialogResult = DialogResult.OK;
        }

        private void button2_Click(object sender, EventArgs e) {
            DialogResult = DialogResult.Cancel;
        }
    }
}
